package com.ho.business.service;

import com.alibaba.fastjson.JSONObject;
import com.ho.business.entity.TabSort;
import com.ho.business.entity.TabTag;
import com.ho.business.vo.req.TabReqVo;
import com.ho.business.vo.req.TabSortReqVo;
import java.util.List;
import java.util.Map;

public interface TabSortWebService {
    void addTabSort(TabSortReqVo tabSortReqVo);

    void updateByTabId(TabSortReqVo tabSortReqVo);

    void deleteTabSort(Integer id);

    List<TabSort> queryTabSortList(Integer stationId);

    List<TabTag> queryTabTags(Integer tabId,Integer stationId);

    void oneKeyCopy(Integer stationId, Integer copyStationId);

    void toggleVersion(TabReqVo tabReqVo);

    List<Map<String,Object>> queryVersion(Integer stationId);

    void operateTabTag(TabSort tabSort);

    void exclListToDb(List<TabSort> tabSort,Integer stationId);

    List<TabSort> showVersion(TabReqVo tabReqVo);

    JSONObject getStationStatus(Integer stationId);

    void chooseState(Integer tagId,Integer tabId);

    int queryTabTagIsChangeover(Integer tabId);
}
